import type { IAuthSession } from '../../domain/models/auth-session';
import { AuthService } from '../../domain/services/auth-service';
export declare class MockAuthService extends AuthService {
    protected readonly sessions: Map<string, IAuthSession>;
    saveSession(session: IAuthSession): Promise<IAuthSession>;
    getSession(id: string): Promise<IAuthSession | null>;
    deleteSession(id: string): Promise<void>;
}
